View Issue Details

IDProjectCategoryView StatusLast Update
0006813SUMoRefactoringpublic2021-11-20 18:51
ReporterKyle_Katarn Assigned ToKyle_Katarn  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version5.14.4Fixed in Version5.14.4 
Summary0006813: PowerShell 5.1 reported as v10
Descriptionhttps://docs.microsoft.com/fr-fr/powershell/scripting/whats-new/migrating-from-windows-powershell-51-to-powershell-7?view=powershell-7.1

=> Windows PowerShell 5.1 : $env:WINDIR\System32\WindowsPowerShell\v1.0

Verbose [21-10-26 21:48:22] Removing C:\Windows\system32\WindowsPowerShell\v1.0\powershell.exe (Cause : Microsoft product support disabled (Windows PowerShell (64 bits) / Microsoft / 10.0.22000.1 ))
Verbose [21-10-26 21:48:22] Removing C:\Windows\SysWOW64\WindowsPowerShell\v1.0\powershell.exe (Cause : Microsoft product support disabled (Windows PowerShell / Microsoft / 10.0.22000.184 ))

Depuis cmd : powershell -Command "Get-Host | select version"
Depuis PowerShell : Get-Host | select version
TagsNo tags attached.

Relationships

related to 0006545 resolvedKyle_Katarn Powershell to be supported even if Microsoft products are not enabled 
related to 0006531 resolvedKyle_Katarn "pwsh" by Microsoft shall be displayed as PowerShell 
related to 0006829 resolvedKyle_Katarn Powershell 5.1 shall be considered as a MS product 
related to 0006834 assignedKyle_Katarn Incorrect version for Powershell "legacy" (hardcoded as 5.1) 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2021-10-26 21:54 Kyle_Katarn New Issue
2021-10-26 21:54 Kyle_Katarn Status new => assigned
2021-10-26 21:54 Kyle_Katarn Assigned To => Kyle_Katarn
2021-10-26 21:55 Kyle_Katarn Relationship added related to 0006545
2021-10-26 21:55 Kyle_Katarn Relationship added related to 0006531
2021-10-30 18:24 Kyle_Katarn Target Version 5.14.3 => 5.14.4
2021-10-30 19:13 Kyle_Katarn Status assigned => resolved
2021-10-30 19:13 Kyle_Katarn Resolution open => fixed
2021-10-30 19:13 Kyle_Katarn Fixed in Version => 5.14.4
2021-11-14 10:36 Kyle_Katarn Relationship added related to 0006829
2021-11-20 18:51 Kyle_Katarn Relationship added related to 0006834